ActionParamHandler (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.ajax4jsf.taglib.html.facelets.ActionParamHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.taglib.html.facelets
Class ActionParamHandler

    java.lang.Object
      com.sun.facelets.tag.TagHandler
          com.sun.facelets.tag.MetaTagHandler
              com.sun.facelets.tag.jsf.ComponentHandler
                  org.ajax4jsf.taglib.html.facelets.ActionParamHandler

All Implemented Interfaces:
  com.sun.facelets.FaceletHandler

    public class ActionParamHandler

extends com.sun.facelets.tag.jsf.ComponentHandler

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/02/01 15:31:23 $
Author:
  shura (latest modification by $Author: alexsmirnov $)

Nested Class Summary
`static class` | `ActionParamHandler.ActionParamMetaRule`

Field Summary

Fields inherited from class com.sun.facelets.tag.TagHandler
`nextHandler, tag, tagId`

Constructor Summary
`ActionParamHandler(com.sun.facelets.tag.jsf.ComponentConfig config)`

Method Summary
`protected com.sun.facelets.tag.MetaRuleset` | `createMetaRuleset(java.lang.Class type)`
`void` | `onComponentCreated(com.sun.facelets.FaceletContext ctx, javax.faces.component.UIComponent c, javax.faces.component.UIComponent parent)`

Methods inherited from class com.sun.facelets.tag.jsf.ComponentHandler
`apply, applyNextHandler, createComponent, getFacetName, getId, onComponentPopulated`

Methods inherited from class com.sun.facelets.tag.MetaTagHandler
`setAttributes`

Methods inherited from class com.sun.facelets.tag.TagHandler
`findNextByType, getAttribute, getRequiredAttribute, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActionParamHandler

    public ActionParamHandler(com.sun.facelets.tag.jsf.ComponentConfig config)

Parameters:
  `config` -

Method Detail

### onComponentCreated

    public void onComponentCreated(com.sun.facelets.FaceletContext ctx,
                                   javax.faces.component.UIComponent c,
                                   javax.faces.component.UIComponent parent)

  Overrides:
    `onComponentCreated` in class `com.sun.facelets.tag.jsf.ComponentHandler`

### createMetaRuleset

    protected com.sun.facelets.tag.MetaRuleset createMetaRuleset(java.lang.Class type)

  Overrides:
    `createMetaRuleset` in class `com.sun.facelets.tag.jsf.ComponentHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.